clc; 
clear all
close all 

global V_wind Rho Wing_surface Mean_chord l_4 l_3 Cl_alpha Cl_zero Cm_alpha ...
        Cm_zero b_eq K_cd Mass
    
%% INPUT VAR

Mass = 2.35; %[Kg] Mass of the vehicle
V_wind = 5; %[m/s] Wind speed     
Rho = 1.22; %[kg/m^3] Air density
Wing_surface = 0.57; %[m^2] Wing surface
Mean_chord = 0.3325; %[m] Average wing chord
l_4 = 0.29; %[m] x-axis offset of the front motors
l_3 = 0.36; %[m] x-axis offset of the back motors
Cl_alpha = 4.2; %[1/rad] Cl rate in 1/rad
Cl_zero = -0.05; % Cl at alpha equal to zero
Cm_alpha = -0.58; %[1/rad] Cm rate in 1/rad
Cm_zero = .002; % Cm at alpha equal to zero
K_cd = 0.08; %Quadratic therm of drag
M_q = 0; %Coefficient for torque vs q

b_eq = -15/180*pi ; %[rad] Theta value at equilibrium in the wind tunnel experiment


%% Script
%Calculation of the Cd_zero value
fun = @system_equation_quadplane_overactuated_cd_zero_identification;
x0 = [Mass*9.81/4,Mass*9.81/4,Mass*9.81/4,Mass*9.81/4,0.1];
x = fsolve(fun,x0);
cd_zero = x(5);
fprintf('/n Cd_zero value = %d deg/n',cd_zero)


