function F = system_equation_quadplane_conventional_cd_zero_identification(x)
%x(1) = F_1 
%x(2) = F_2 
%x(3) = F_3 
%x(4) = F_4 
%x(5) = Cd_zero

global V_wind Rho Wing_surface Mean_chord l_4 l_3 Cl_alpha Cl_zero Cm_alpha ...
        Cm_zero K_cd Mass Theta_eq
    
g = 9.81; %[m/s^2] gravity acceleration 
Cl = Cl_alpha*Theta_eq + Cl_zero;
Cd = x(5) + K_cd * Cl^2;
Cm = Cm_alpha*Theta_eq + Cm_zero;

F(1) = (x(1)+x(2)+x(3)+x(4))*sin(Theta_eq) + 0.5*Rho*Wing_surface*V_wind^2 * Cd;
F(2) = (x(1)+x(2)+x(3)+x(4))*cos(Theta_eq) + 0.5*Rho*Wing_surface*V_wind^2 * Cl - Mass * g;
F(3) = (x(1)+x(2))*l_4 - (x(3)+x(4))*l_3 + 0.5*Rho*Wing_surface*Mean_chord*V_wind^2 * Cm;
F(4) = x(1) - x(2);
F(5) = x(3) - x(4);

end
