function F = system_equation_quadplane_overactuated_cd_zero_identification(x)
%x(1) = F_1 
%x(2) = F_2 
%x(3) = F_3 
%x(4) = F_4 
%x(5) = Cd_zero

global V_wind Rho Wing_surface Mean_chord l_4 l_3 Cl_zero ...
        Cm_zero b_eq Mass K_cd
    
g = 9.81; %[m/s^2] gravity acceleration 

F(1) = (x(1)+x(2)+x(3)+x(4))*sin(b_eq) + 0.5*Rho*Wing_surface*V_wind^2*(x(5) + K_cd*Cl_zero^2);
F(2) = (x(1)+x(2)+x(3)+x(4))*cos(b_eq) + 0.5*Rho*Wing_surface*V_wind^2*Cl_zero - Mass * g;
F(3) = (x(1)+x(2))*cos(b_eq)*l_4 - (x(3)+x(4))*cos(b_eq)*l_3 + 0.5*Rho*Wing_surface*Mean_chord*V_wind^2*Cm_zero;
F(4) = x(1)- x(2);
F(5) = x(3)- x(4);

end
